activemq-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From pamarti <psriki...@gmail.com>
Subject ActiveMQ 4.1.2 Referencing java 1.5 APIs
Date Wed, 18 Nov 2009 21:38:07 GMT

Hi,
Im trying to configure ActiveMQ 4.1.2 as Resource Adapter.
Im getting the following exception when used on Websphere 6.0 ( JDK 1.4). 
I installed the rar from Websphere console. Am I missing anything. Should I
include any backport jars in the classpath?

Any help is greatly appreciated.
Thanks
Sri

Caused by: java.lang.NoClassDefFoundError:
java/util/concurrent/atomic/AtomicBoolean
	at
org.apache.activemq.ra.ServerSessionPoolImpl.<init>(ServerSessionPoolImpl.java:53)
	at
org.apache.activemq.ra.ActiveMQEndpointWorker.start(ActiveMQEndpointWorker.java:199)
	at
org.apache.activemq.ra.ActiveMQResourceAdapter.endpointActivation(ActiveMQResourceAdapter.java:214)
	at
com.ibm.ejs.j2c.ActivationSpecWrapperImpl.activateEndpoint(ActivationSpecWrapperImpl.java:308)
	at com.ibm.ejs.j2c.RAWrapperImpl.activateEndpoint(RAWrapperImpl.java:935)
	at
com.ibm.ejs.j2c.RALifeCycleManagerImpl.activateEndpoint(RALifeCycleManagerImpl.java:1412)
	at
com.ibm.ejs.container.MessageEndpointFactoryImpl.activateEndpoint(MessageEndpointFactoryImpl.java:256)
	... 39 more
-- 
View this message in context: http://old.nabble.com/ActiveMQ-4.1.2-Referencing-java-1.5-APIs-tp26416222p26416222.html
Sent from the ActiveMQ - User mailing list archive at Nabble.com.


Mime
View raw message